//
//  BaseWindow.m
//  QT Test
//
//  Created by John Geelen on 16-07-11.
//
//  Copyright 2011 JG Electronics. All rights reserved.
//	Remarks, reports to: www.jgelectronics.nl.
//
//	Derived from Apple's example program AudioQueueTools.
//	UI and icons from MPlayerX an open source application by http://mplayerx.org
//
//	OSX10.6 and XCODE 4.0.1
//
/*
 Disclaimer: IMPORTANT: 
 This JG Electronics software is supplied to you by JG Electronics as FREE AND OPEN SOURCE SOFTWARE. 
 
 The JG Electronics Software is provided by JG Electronics on an "AS IS" basis.
 JG ELECTRONICS MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE, REGARDING THE JG ELECTRONICS SOFTWARE OR ITS USE AND
 OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.
 
 IN NO EVENT SHALL JG ELECTRONICS BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,
 MODIFICATION AND/OR DISTRIBUTION OF THE JG ELECTRONICS SOFTWARE, HOWEVER CAUSED
 AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE),
 STRICT LIABILITY OR OTHERWISE, EVEN IF JG ELECTRONICS HAS BEEN ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.
*/

#import "BaseWindow.h"

@implementation BaseWindow

-(void) awakeFromNib {
	[self setCollectionBehavior:NSWindowCollectionBehaviorManaged];
//	
	[self setStyleMask:NSBorderlessWindowMask];
	[self setMovableByWindowBackground:YES];
	[self setBackgroundColor:[NSColor blackColor]];
//	[self setAlphaValue:1.0f];
}

-(BOOL) canBecomeKeyWindow { return YES;}

-(BOOL) canBecomeMainWindow { return YES;}

-(BOOL) acceptsFirstResponder { return YES; }

-(BOOL) validateMenuItem:(NSMenuItem *)menuItem {
	SEL action = [menuItem action];
	if ((action == @selector(performClose:)) ||
		(action == @selector(performMiniaturize:)) ||
		(action == @selector(performZoom:))) {
		return YES;
	}
	return YES;
}

/*
-(void) performZoom:(id)sender
{
	if ([self delegate]) {
		NSRect frm = [[self delegate] windowWillUseStandardFrame:self defaultFrame:[[self screen] visibleFrame]];
		[self setFrame:frm display:YES animate:YES];
	} else {
		[self zoom:sender];		
	}
}
*/
-(void) performMiniaturize:(id)sender {
	[self miniaturize:sender];
}

-(void) performClose:(id)sender {
	[self close];
}

@end
